org.apache.cassandra.tools.nodetool.stats

## Class StatsPrinter.JsonPrinter<T extends StatsHolder>

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.StatsPrinter.JsonPrinter<T>

All Implemented Interfaces:
  StatsPrinter<T>

Enclosing interface:
  StatsPrinter<T extends StatsHolder>

    public static class StatsPrinter.JsonPrinter<T extends StatsHolder>
    extends java.lang.Object
    implements StatsPrinter<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.tools.nodetool.stats.StatsPrinter

`StatsPrinter.JsonPrinter<T extends StatsHolder>, StatsPrinter.YamlPrinter<T extends StatsHolder>`

### Constructor Summary

Constructors
Constructor and Description
`JsonPrinter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `print(T data, java.io.PrintStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonPrinter

    public JsonPrinter()

### Method Detail

#### print

    public void print(T data,
                      java.io.PrintStream out)

Specified by:
  `print` in interface `StatsPrinter<T extends StatsHolder>`